Developer Documentation

Public Slots | Signals | Public Member Functions | Private Slots | Private Member Functions | Private Attributes | List of all members
VsiPlugin Class Reference

`#include <Plugin-VSI/vsiPlugin.hh>`

Inheritance diagram for VsiPlugin:

## Public Slots
QScriptValue | askForInputs (QString _element, QString _inputs)
| Scripting function, that allows to ask the user for inputs during script execution. More...
void | messageBox (QString _message)
| Scripting function, that displays a message box.
bool | questionBox (QString _message)
| Scripting function, that displays a Yes/No message box.
bool | continueBox (QString _message)
| Shows a non blocking stop box for use inside loops. More...
QString | version ()

## Signals
void | getMenubarMenu (QString _name, QMenu *&_menu, bool _create)
void | getScriptingEngine (QScriptEngine *&_engine)
void | pluginExists (QString _pluginName, bool &_exists)
void | functionExists (QString _pluginName, QString _functionName, bool &_exists)
Signals inherited from BaseInterface
virtual void | updateView ()
| Update current view in Main Application. More...
virtual void | setSlotDescription (QString _slotName, QString _slotDescription, QStringList _parameters, QStringList _descriptions)
| Set a description for a public slot. More...
virtual void | setRenderer (unsigned int _viewer, QString _rendererName)
| Set a renderer for the given viewer. More...
Signals inherited from MenuInterface
virtual void | getMenubarMenu (QString _name, QMenu *&_menu, bool _create)
| Get a existing top level menu pointer or create a new one. More...
Signals inherited from ScriptInterface
virtual void | scriptInfo (QString _functionWithParameters)
| Emit this signal if a scriptable function is executed. More...
virtual void | getScriptingEngine (QScriptEngine *&_engine)
virtual void | executeScript (QString _script)
virtual void | getAvailableFunctions (QStringList &_functions)
Signals inherited from RPCInterface
virtual void | pluginExists (QString _pluginName, bool &_exists)

## Public Member Functions
| VsiPlugin ()
| Constructor.
| ~VsiPlugin ()
| Destructor.
QString | name ()
| Name of the Plugin.
QString | description ()
| Description of the Plugin.

## Private Slots
void | pluginsInitialized ()
| Register in menubar.
void | noguiSupported ()
Private Slots inherited from BaseInterface
virtual void | exit ()
virtual QString | version ()
| Return a version string for your plugin. More...

## Private Member Functions
void | showScriptEditor ()
| Shows visual script editor. More...
void | showInScriptEditor (QString _script)
| Opens the text based script editor with the given script. More...
void | initContext ()
| initalisation More...
Private Member Functions inherited from BaseInterface
virtual void | noguiSupported ()
virtual | ~BaseInterface ()
| Destructor.
virtual void | blockScenegraphUpdates (bool _block)
| Tell the core to prevent scenegraph updates. More...
virtual void | updatedObject (int _objectId)
| An object has been changed or added by this plugin. More...
virtual void | updatedObject (int _identifier, const UpdateType &_type)
| An object has been changed or added by this plugin. More...
virtual void | nodeVisibilityChanged (int _identifier)
| A scenegraph node has been shown or hidden. More...
virtual void | getCurrentRenderer (unsigned int _viewer, QString &_rendererName)
| Get the current renderer for the given viewer. More...
Private Member Functions inherited from MenuInterface
virtual | ~MenuInterface ()
| Destructor.
virtual void | addMenubarAction (QAction *_action, QString _name)
| Adds an action to the menubar. More...
virtual void | addMenubarActions (std::vector< QAction *> &_actions, QString _name)
| Add multiple actions to the menu bar. More...
Private Member Functions inherited from ScriptInterface
virtual | ~ScriptInterface ()
| Destructor.
virtual void | executeFileScript (QString _filename)
virtual void | getDescription (QString _function, QString &_description, QStringList &_parameters, QStringList &_descriptions)
Private Member Functions inherited from RPCInterface
virtual | ~RPCInterface ()
| Destructor.
virtual void | functionExists (QString _pluginName, QString _functionName, bool &_exists)

## Private Attributes
VSI::Context * | context_
VSI::BaseWidget * | baseWidget_

## Detailed Description

Plugin that provides a visual scripting interface

Definition at line 71 of file vsiPlugin.hh.

## Member Function Documentation

## ◆ askForInputs

QScriptValue VsiPlugin::askForInputs | ( | QString | _element,
|  | QString | _inputs
| ) |  |
| slot

Scripting function, that allows to ask the user for inputs during script execution.

Gererates a dialog for the given element inputs.

Definition at line 169 of file vsiPlugin.cc.

## ◆ continueBox

bool VsiPlugin::continueBox | ( | QString | _message | ) |
| slot

Shows a non blocking stop box for use inside loops.

Non blocking box which can be used inside scripting loops to stop on clicks.

Definition at line 258 of file vsiPlugin.cc.

## ◆ initContext()

void VsiPlugin::initContext | ( |  | ) |
| private

initalisation

initalize context

Definition at line 126 of file vsiPlugin.cc.

## ◆ showInScriptEditor()

void VsiPlugin::showInScriptEditor | ( | QString | _script | ) |
| private

Opens the text based script editor with the given script.

shows the given script in the textual script editor

Definition at line 220 of file vsiPlugin.cc.

## ◆ showScriptEditor()

void VsiPlugin::showScriptEditor | ( |  | ) |
| private

Shows visual script editor.

Show visual script editor.

Definition at line 112 of file vsiPlugin.cc.

The documentation for this class was generated from the following files:

- Plugin-VSI/vsiPlugin.hh
- Plugin-VSI/vsiPlugin.cc